var widgetAPI = new Common.API.Widget();
var tvKey = new Common.API.TVKeyValue();

var Main = {
	siteLink : "www.smart-box.net.ua"
};

/**
 * Запускает виджет после загрузки страницы.
 *
 * @return void
 */
Main.onLoad = function() 
{
	alert(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ON LOAD <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<");

	document.getElementById("anchor").focus(); // Помещение фокуса на элемент "anchor"
	document.getElementById("main").style.display = "none";
	document.getElementById("serversOffline").style.display = "block";
	document.getElementById("serversOffline").style.width = "960px";
	document.getElementById("serversOffline").style.height = "540px";
	document.getElementById("serversOffline").style.position = "absolute";
	document.getElementById("serversOffline").style.top = "0";
	document.getElementById("serversOffline").style.left = "0";
	document.getElementById("serversOffline").style.backgroundImage = "url('images/background_offline.png')";
	document.getElementById("serversOffline").style.zIndex = "1";
	Main.GetInfoOffline();
	
	widgetAPI.sendReadyEvent(); // Сообщаем менеджеру приложений о готовности
};


/**
 * Запускает виджет после загрузки страницы.
 *
 * @return void
 */
Main.GetInfoOffline = function() 
{
	var info = null;

	try {
		var xhr = new XMLHttpRequest();
		xhr.open("GET", "http://info.smart-box.net.ua/offline.php", false);
		xhr.onreadystatechange = function () {
			if (xhr.readyState == 4) {
				document.getElementById("infoBlock").innerHTML = xhr.responseText;
				document.getElementById("infoBlock").style.display = "block";
				document.getElementById("infoBlock").style.width = "560px";
				document.getElementById("infoBlock").style.height = "120px";
				document.getElementById("infoBlock").style.position = "absolute";
				document.getElementById("infoBlock").style.top = "320px";
				document.getElementById("infoBlock").style.left = "200px";
				document.getElementById("infoBlock").style.zIndex = "100";
				document.getElementById("infoBlock").style.backgroundColor = "#fff";
				document.getElementById("infoBlock").style.padding = "25px";
			}
		};
		xhr.send();
	} catch(e) {
		alert(e);
	}
};

/**
 * Деинициализирует объекты перед выходом.
 *
 * @return void
 */
Main.onUnload = function() 
{
	alert(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ON UNLOAD <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<");
};

/**
 * Обрабатывает нажатие кнопок на пульте.
 *
 * @return void
 */
Main.keyDown = function() 
{
	var keyCode = event.keyCode;
	
	switch (keyCode) {
	
	case tvKey.KEY_EXIT:
		alert("[Main.js] keyDown: KEY_EXIT");
		widgetAPI.blockNavigation(event); //отменяем заводскую реакцию на событие.
		widgetAPI.sendReturnEvent(); // <- выполняем выход из виджета ВОЗВРАТОМ в смартхаб - вместо закрытия смартхаба по widgetAPI.sendExitEvent();
		break;

	case tvKey.KEY_RETURN:
	case tvKey.KEY_PANEL_RETURN:
		alert("[Main.js] keyDown: KEY_RETURN");
		break;
	
	default:
		alert("[Main.js] keyDown: Unhandled key (" + keyCode + ")");
		break;
	}
};