var widgetAPI = new Common.API.Widget();
var tvKey = new Common.API.TVKeyValue();

var Settings = {
	siteLink : "www.smart-box.net.ua",
};

/**
 * Запускает виджет после загрузки страницы.
 *
 * @return void
 */
Settings.onLoad = function() 
{
	alert(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ON LOAD <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<");

	document.getElementById("anchor").focus(); // Помещение фокуса на элемент "anchor"
	document.getElementById("main").style.display = "none";
	document.getElementById("serversOffline").style.display = "block";
	document.getElementById("serversOffline").style.width = "960px";
	document.getElementById("serversOffline").style.height = "540px";
	document.getElementById("serversOffline").style.position = "absolute";
	document.getElementById("serversOffline").style.top = "0";
	document.getElementById("serversOffline").style.left = "0";
	document.getElementById("serversOffline").style.backgroundImage = "url('images/background_offline.png')";
	
	widgetAPI.sendReadyEvent(); // Сообщаем менеджеру приложений о готовности
};

/**
 * Деинициализирует объекты перед выходом.
 *
 * @return void
 */
Settings.onUnload = function() 
{
	alert(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ON UNLOAD <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<");
};

/**
 * Обрабатывает нажатие кнопок на пульте.
 *
 * @return void
 */
Settings.keyDown = function() 
{
	var keyCode = event.keyCode;
	
	switch (keyCode) {
	
	case tvKey.KEY_EXIT:
		alert("[Settings.js] keyDown: KEY_EXIT");
		widgetAPI.blockNavigation(event); //отменяем заводскую реакцию на событие.
		widgetAPI.sendReturnEvent(); // <- выполняем выход из виджета ВОЗВРАТОМ в смартхаб - вместо закрытия смартхаба по widgetAPI.sendExitEvent();
		break;

	case tvKey.KEY_RETURN:
	case tvKey.KEY_PANEL_RETURN:
		alert("[Settings.js] keyDown: KEY_RETURN");
		break;
	
	default:
		alert("[Settings.js] keyDown: Unhandled key (" + keyCode + ")");
		break;
	}
};